Bug 1733122 - machine-api cloudn't match machine the master nodes with instances in UPI/AWS deployment
Summary: machine-api cloudn't match machine the master nodes with instances in UPI/AWS...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.1.z
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: ---
Assignee: Jan Chaloupka
QA Contact: Jianwei Hou
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-25 09:23 UTC by jmselmi
Modified: 2019-07-29 08:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-29 08:28:42 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description jmselmi 2019-07-25 09:23:11 UTC
Description of problem:
When, we deploy the UPI on AWS, the master machine on the openshift-machine-api don't have the right configuration for the subnet-id and iamMasterProfile.

The machine-api couldn't mache the instances on the aws with the configured machines:

oc get machine -n openshift-machine-api
NAME                                 INSTANCE              STATE     TYPE        REGION      ZONE         AGE
gold-skxzj-master-0                                                  m5.xlarge   eu-west-3   eu-west-3a   7m51s
gold-skxzj-master-1                                                  m5.xlarge   eu-west-3   eu-west-3b   7m51s
gold-skxzj-master-2                                                  m5.xlarge   eu-west-3   eu-west-3c   7m50s
gold-skxzj-worker-eu-west-3a-2v574   i-0dd85cd4189c1ea89   running   m5.xlarge   eu-west-3   eu-west-3a   4m3s
gold-skxzj-worker-eu-west-3b-bhrmf   i-05cbcb5ecc6e2b5f0   running   m5.xlarge   eu-west-3   eu-west-3b   4m1s
gold-skxzj-worker-eu-west-3c-j86zm   i-0582c02eb58023d86   running   m5.xlarge   eu-west-3   eu-west-3c   4m2s


On the describe of the machine gold-skxzj-master-0, we see that the operator was not able to match the subnet-id and iamMasterProfile:

Status:
  Last Updated:  2019-07-24T17:30:31Z
  Provider Status:
    API Version:  awsproviderconfig.openshift.io/v1beta1
    Conditions:
      Last Probe Time:       2019-07-24T17:30:31Z
      Last Transition Time:  2019-07-24T17:30:24Z
      Message:               error launching instance: error getting subnet IDs: no subnet IDs were found,
      Reason:                MachineCreationFailed
      Status:                True
      Type:                  MachineCreation
    Kind:                    AWSMachineProviderStatus
Events:
  Type     Reason        Age                 From            Message
  ----     ------        ----                ----            -------
  Warning  FailedCreate  12s (x18 over 14m)  aws-controller  CreateError


Version-Release number of selected component (if applicable):

4.1.7

How reproducible:
install OCP4 on AWS using UPI.



Actual results:
the machine-api

Expected results:


Additional info:

Comment 1 Alberto 2019-07-29 08:28:42 UTC
On UPI machines are deployed manually and the machine API is not guaranteed to work with out of the box config.
This is documented here https://github.com/openshift/installer/blob/master/docs/user/aws/install_upi.md#create-ignition-configs
Please reopen if relevant


Note You need to log in before you can comment on or make changes to this bug.